### Constructor

# GimpUi NumberPairEntry new

#### Declaration [src]

    GtkWidget*
    gimp_number_pair_entry_new (
      const gchar* separators,
      gboolean allow_simplification,
      gdouble min_valid_value,
      gdouble max_valid_value
    )

#### Description [src]

Creates a new `GimpNumberPairEntry` widget, which is a GtkEntry that accepts two numbers separated by a separator. Typical input example with a ‘x’ separator: “377x233”.

The widget supports simplification of the entered ratio when the input ends in ‘=’, if “allow-simplification” is TRUE.

The “separators” property contains a string of characters valid as separators when parsing input. The first separator is used when displaying the current values.

It is possible to specify what range of values that shall be considered as valid when parsing user input, by changing “min-valid-value” and “max-valid-value”.

The first separator of `separators` is used to display the current value.

Available since: | 2.4

#### Parameters

`separators` | `const gchar*`
| The allowed separators.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`allow_simplification` | `gboolean`
| Whether to do simplification on the entered term.
`min_valid_value` | `gdouble`
| The minimum allowed result value.
`max_valid_value` | `gdouble`
| The maximum allowed result value.

#### Return value

Returns: | `GtkWidget`
| The new `GimpNumberPairEntry` widget.
| The data is owned by the called function.